Bug 238902 - devel/bloaty: does not need go to build
Summary: devel/bloaty: does not need go to build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-30 23:49 UTC by Greg V
Modified: 2019-07-06 18:45 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (swills)


Attachments
bloaty.patch (441 bytes, patch)
2019-06-30 23:49 UTC, Greg V
no flags Details | Diff
bloaty.patch rebased (134 bytes, patch)
2019-07-01 00:01 UTC, Greg V
no flags Details | Diff
bloaty.patch real (530 bytes, patch)
2019-07-04 18:11 UTC, Greg V
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg V 2019-06-30 23:49:47 UTC
Created attachment 205444 [details]
bloaty.patch

Builds and works fine on aarch64. (also cmake/ninja are already added by USES)
Comment 1 Greg V 2019-07-01 00:01:56 UTC
Created attachment 205445 [details]
bloaty.patch rebased

oops, rebased
Comment 2 Steve Wills freebsd_committer 2019-07-01 02:25:14 UTC
Taken care of in r505321 I believe.
Comment 3 Greg V 2019-07-01 20:58:30 UTC
No!! r505321 is what the rebase was for. Please read the patch
Comment 4 Steve Wills freebsd_committer 2019-07-03 11:23:41 UTC
(In reply to Greg V from comment #3)

The patch looks empty to me:

diff --cc devel/bloaty/Makefile
index cc15251100f9,34f9b45e67ae..000000000000
--- i/devel/bloaty/Makefile
+++ w/devel/bloaty/Makefile


And that's it.
Comment 5 Greg V 2019-07-04 18:11:46 UTC
Created attachment 205523 [details]
bloaty.patch real

oops, somehow uploaded something wrong, sorry
Comment 6 commit-hook freebsd_committer 2019-07-06 18:43:24 UTC
A commit references this bug:

Author: swills
Date: Sat Jul  6 18:42:38 UTC 2019
New revision: 506025
URL: https://svnweb.freebsd.org/changeset/ports/506025

Log:
  devel/bloaty: does not need go to build

  PR:		238902
  Submitted by:	Greg V <greg@unrelenting.technology>

Changes:
  head/devel/bloaty/Makefile
Comment 7 Steve Wills freebsd_committer 2019-07-06 18:45:39 UTC
Committed, thanks!